@font-face {
    font-family: 'KiaSignatureRegular';
    src: url(https://brennerveiculos.com.br/kia/public/assets/fonts/KiaSignatureRegular.ttf) format('truetype');
}

@font-face {
    font-family: 'KiaSignatureLight';
    src: url(https://brennerveiculos.com.br/kia/public/assets/fonts/KiaSignatureLight.ttf) format('truetype');
}

@font-face {
    font-family: 'KiaSignatureBold';
    src: url(https://brennerveiculos.com.br/kia/public/assets/fonts/KiaSignatureBold.ttf) format('truetype');
}
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@700;800;900&display=swap');



@import url("https://fonts.cdnfonts.com/css/roboto");
@import url("https://fonts.cdnfonts.com/css/bignoodletitling");

/* Classe para usar Roboto */
.font-roboto {
    font-family: 'Roboto', sans-serif !important;
    font-weight: 400 !important;
    letter-spacing: .5px !important;
}
.font-roboto-bold {
    font-family: 'Roboto', sans-serif;
    font-weight: 700;
    letter-spacing: .05px;
}




.font-veiculo {
    font-family: 'Montserrat', sans-serif !important;
    font-weight: 900 !important; /* Extra Bold */
    text-transform: uppercase !important; /* Para garantir que fique em caixa alta */
    letter-spacing: -0.02em !important; /* Opcional: para aproximar um pouco as letras como na imagem */


}

:root {
    --vermelho: #eb2024;
    --dark-kia: #05141F;
}


body,
html {
    font-family: "KiaSignatureRegular";
}

html {
    scroll-behavior: smooth;
}

ul {
    padding: 0;
    margin: 0;
    list-style: none;
}

/* p {
    font-size: .9rem;
} */

a:hover {
    text-decoration: none;
}

h2 {
    font-weight: 300;
    font-weight: bold;
    color: var(--azul);
    font-size: 1.4rem;
}

.cta a {
    display: inline-block;
    color: #fff;
    border: 1px solid #fff;
    padding: 10px 40px;
    font-size: 1.1rem;
    margin-top: 20px;
    transition: all .3s;
    font-weight: bold;
    font-family: "KiaSignatureBold";
}

.cta a:hover {
    background-color: var(--dark-kia);
    border-color: var(--dark-kia);
    color: #fff;
    scale: 1.03;
}

.name-input {
    display: none;
    visibility: hidden;
}

@media (max-width: 768px) {
    h2 {
        font-size: 1.5rem;
    }
}

/* ENVIANDO FORM */
#enviando-form {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999;
    background-color: rgba(0, 0, 0, .6);
    width: 100%;
    height: 100vh;
    display: none;
}

#enviando-form.active {
    display: block;
}

#enviando-form .wrapper {
    width: 200px;
    height: 60px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

#enviando-form .circle {
    width: 20px;
    height: 20px;
    position: absolute;
    border-radius: 50%;
    background-color: #fff;
    left: 15%;
    transform-origin: 50%;
    animation: circle .5s alternate infinite ease;
}

@keyframes circle {
    0% {
        top: 60px;
        height: 5px;
        border-radius: 50px 50px 25px 25px;
        transform: scaleX(1.7);
    }

    40% {
        height: 20px;
        border-radius: 50%;
        transform: scaleX(1);
    }

    100% {
        top: 0%;
    }
}

#enviando-form .circle:nth-child(2) {
    left: 45%;
    background-color: var(--vermelho);
    animation-delay: .2s;
}

#enviando-form .circle:nth-child(3) {
    left: auto;
    right: 15%;
    animation-delay: .3s;
    background-color: var(--azul);
}

#enviando-form .shadow {
    width: 20px;
    height: 4px;
    border-radius: 50%;
    background-color: rgba(0, 0, 0, .5);
    position: absolute;
    top: 62px;
    transform-origin: 50%;
    z-index: -1;
    left: 15%;
    filter: blur(1px);
    animation: shadow .5s alternate infinite ease;
}

@keyframes shadow {
    0% {
        transform: scaleX(1.5);
    }

    40% {
        transform: scaleX(1);
        opacity: .7;
    }

    100% {
        transform: scaleX(.2);
        opacity: .4;
    }
}

#enviando-form .shadow:nth-child(4) {
    left: 45%;
    animation-delay: .2s
}

#enviando-form .shadow:nth-child(5) {
    left: auto;
    right: 15%;
    animation-delay: .3s;
}

#enviando-form .wrapper span {
    position: absolute;
    top: 75px;
    font-size: 20px;
    color: #fff;
    font-weight: bold;
    width: 400px;
    left: -50%;
    text-align: center;
}

@media (max-width: 576px) {
    #enviando-form .wrapper span {
        width: 280px;
        left: -20%;
    }

}

/* BARRA TOPO */
#barratopo {
    position: sticky;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 99;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    background-color: #fafafa;
}

#barratopo .logo {
    width: 250px;
}

.navbar {
    color: var(--dark-kia);

    /* padding: 5px 0; */
}

#barratopo .main-nav .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    
}

.navbar .nav-link {
    color: var(--dark-kia);
    text-wrap: nowrap;
    /* font-weight: 500; */
    /* font-family: 'Roboto', sans-serif; */
    /* letter-spacing: .5px; */
    /* font-size: 16px; */
    /* text-transform: uppercase; */
}

.navbar .nav-item {
    /* margin: 0 2px; */
}

nav a{
    color: #000 !important;
}
.nav-item:hover{
    background-color: #000 !important;
    color: #fff !important;
}

.navbar .nav-item {
    /* font-weight: 500; */
    /* font-size: .9rem; */
}

.navbar .nav-item:hover {
    text-decoration: underline;
}

#barratopo .leadfone {
    background-color: transparent;
    color: var(--dark-kia);
    display: inline-block;
    transition: all .3s;
    font-size: 1rem;
    font-family: 'Roboto', sans-serif;
}

#barratopo .leadfone:hover {
    background-color: var(--dark-kia);
    color: #fff;
}

#barrobottm {
    background-color: #000;
    padding: 0;
    color: #fff;
}

#barrobottm ul {
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

#barrobottm ul li {
    margin: 5px 10px;
}

#barrobottm ul li a {
    color: #fff;
    transition: all .3s;
}

#barrobottm ul li a:hover {
    font-weight: bold;
}

/* RODAPÉ */
footer {
    padding-top: 80px;
    background-color: var(--dark-kia);
    color: #fff;
}

footer img {
    width: 250px;
}

footer ul {
    list-style: none;
    padding: 0;
}

footer ul li a,
footer ul li a:hover {
    color: #fff;
}

footer .desenvo,
footer .logo {
    text-align: center;
}

footer .desenvo a {
    font-weight: bold;
    color: var(--vermelho);
}


/* WHATSAPP */
#modalWhatsapp {
    color: #000;
}

#modalWhatsapp button.cta {
    color: #000;
    background-color: #25d366;
    font-size: 1rem;
    font-weight: 500;
    padding: 20px 40px;
    transition: all .5s;
    border: none;
    outline: none;
    width: 100%;
    transition: all .3s;
    font-weight: bold;
    text-transform: uppercase;
}

#modalWhatsapp button.cta:hover {
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

.btn-whatsapp-pulse {
    background: #25d366;
    color: white;
    right: 40px;
    bottom: 20px;
    z-index: 999;
    position: fixed;
    font-size: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 0;
    height: 0;
    padding: 35px;
    text-decoration: none;
    border-radius: 50%;
    animation-name: pulse;
    animation-duration: 1.5s;
    animation-timing-function: ease-out;
    animation-iteration-count: infinite;
    cursor: pointer;
}

@keyframes pulse {
    0% {
        box-shadow: 0 0 0 0 rgba(37, 211, 102, 0.8);
    }

    80% {
        box-shadow: 0 0 0 14px rgba(37, 211, 102, 0);
    }
}

@keyframes pulse-phone {
    0% {
        box-shadow: 0 0 0 0 rgba(97, 103, 122, .8);
    }

    80% {
        box-shadow: 0 0 0 14px rgba(37, 211, 102, 0);
    }
}


.btn-contato-phone {
    position: fixed;
    right: 40px;
    bottom: 100px;

    color: #fff;
    background-color: #61677A;
    font-size: 1.5rem;
    font-weight: 500;
    transition: all .5s;
    width: 65px;
    height: 65px;
    border-radius: 50%;
    transition: all .3s;
    font-weight: bold;
    display: flex;
    justify-content: center;
    align-items: center;
    text-transform: uppercase;
    animation-name: pulse-phone;
    animation-duration: 1.5s;
    animation-timing-function: ease-out;
    animation-iteration-count: infinite;
    z-index: 999;
}

.btn-contato-phone:hover {
    color: #fff;
}

@media (max-width: 576px) {

    .btn-whatsapp-pulse {
        right: 20px;
        bottom: 20px;
        width: 60px;
        height: 60px;
        font-size: 2.5rem;
        padding: 0;
    }

    .btn-contato-phone {
        right: 20px;
        bottom: 90px;
        width: 55px;
        height: 55px;
    }
}



.obj-fit {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#formulario-contato h2 {
    color: #fff;
    font-size: 1.1rem;
    text-align: center;
}

.form-control.active,
.form-control:focus,
.form-control:checked,
.form-control::selection,
.form-control {
    border-radius: 0;
    border: 1px solid #fff;
    color: #fff;
    background-color: transparent;
}


#modalWhatsappAgenda .form-control.active,
#modalWhatsappAgenda .form-control:focus,
#modalWhatsappAgenda .form-control:checked,
#modalWhatsappAgenda .form-control::selection,
#modalWhatsappAgenda .form-control,
#modalWhatsapp .form-control.active,
#modalWhatsapp .form-control:focus,
#modalWhatsapp .form-control:checked,
#modalWhatsapp .form-control::selection,
#modalWhatsapp .form-control,
#modalWhatsappPecas .form-control.active,
#modalWhatsappPecas .form-control:focus,
#modalWhatsappPecas .form-control:checked,
#modalWhatsappPecas .form-control::selection,
#modalWhatsappPecas .form-control {
    border-radius: 0;
    border: 1px solid var(--dark-kia);
    color: var(--dark-kia);
    background-color: transparent;
}

#modalWhatsappAgenda form button,
#modalWhatsappPecas form button,
#modalWhatsapp form button {
    display: inline-block;
    border: none;
    color: #fff;
    background-color: var(--dark-kia);
    padding: 10px 40px;
    width: 100%;
    font-size: 1.1rem;
    margin-top: 20px;
    transition: all .3s;
    font-weight: bold;
    font-family: "KiaSignatureBold";
}